Bug 794535 - RFE: Change syntax of clone command
Summary: RFE: Change syntax of clone command
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: CSProcessor   
(Show other bugs)
Version: 1.x
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Lee Newson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 799821
TreeView+ depends on / blocked
 
Reported: 2012-02-17 03:15 UTC by Joshua Wulf
Modified: 2014-10-19 23:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 01:49:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Wulf 2012-02-17 03:15:15 UTC
Currently it's:

[C<topicID>]

Let's make this valid:

[C:<topicID>]

Don't invalidate the other one, so it's backwards compatible with all those non-existent content specs out there ;-)

Comment 1 Joshua Wulf 2012-02-17 03:38:54 UTC
Better syntax:

<Title> [N, C: <TopicID>]


where <Title> and <TopicID> must match

Comment 2 Lee Newson 2012-03-05 06:02:28 UTC
Added in 0.22.0.

The "C: <TopicID>" must be directly after the "N" ID (where the type would normally be for new topics).

Comment 3 Lee Newson 2012-03-05 06:04:04 UTC
Just for some technical details, the processor still assumes the old syntax when processing. All that was added was to convert the new syntax to the old syntax when parsing.


Note You need to log in before you can comment on or make changes to this bug.